# setwd("C:/Users/nwickelmaier/Nextcloud/Documents/MDS/2023ss/60100_master_thesis/code")

#library(mtt)
devtools::load_all("../../../../software/mtt")

now <- format(Sys.time(), , "%Y-%m-%d_%H-%M-%S")

path <- "../data/haum/LogFiles/"

folders <- dir(path)

# parse raw log files
datraw <- parse_logfiles(folders, path)
artworks <- unique(na.omit(datraw$artwork))

# convert to log events
datlogs <- create_eventlogs(datraw, xmlfiles = paste0(artworks, "_de.xml"),
           xmlpath = "../data/haum/ContentEyevisit/eyevisit_cards_light/")

# export data
write.table(datlogs, paste0("../data/haum/event_logfiles_", now, ".csv"),
            sep = ";", row.names = FALSE)

